<!DOCTYPE html>
<html lang="en">
<head>

  <meta http-equiv="content-type" content="text/html; charset=UTF-8">

  <title>{{$setting['web_title']}}</title>

  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="">
  <meta name="keywords" content="">
  <meta name="author" content="">

  <!-- Bootstrap Styles -->
  <link href="https://statik.unesa.ac.id/profileunesa_konten_statik/front/css/bootstrap.css" rel="stylesheet">
  
  <style media="screen">
    a.navbar-brand {
      background: url({!! $setting['logo'] !!}) no-repeat scroll left top rgba(0, 0, 0, 0);
      /* height: 55px;
      width: auto; */
    }

    a {
        color: #428bca;
        text-decoration: none;
        background: transparent;
    }

    a:link {
    text-decoration: none;
    }

    a:visited {
        text-decoration: none;
    }

    a:hover {
        text-decoration: underline;
    }

    a:active {
        text-decoration: underline;
    }
  </style>

   <!-- Styles -->
  <link rel='stylesheet' type='text/css' href='https://statik.unesa.ac.id/profileunesa_konten_statik/front/css/{!! $setting['style'] !!}' />

  <!-- Flex Slider -->
  <link href="https://statik.unesa.ac.id/profileunesa_konten_statik/front/css/flexslider.css" rel="stylesheet">

  <!-- Carousel Slider -->
  <link href="https://statik.unesa.ac.id/profileunesa_konten_statik/front/css/owl-carousel.css" rel="stylesheet">

  <!-- CSS Animations -->
  <link href="https://statik.unesa.ac.id/profileunesa_konten_statik/front/css/animate.min.css" rel="stylesheet">
  <link href="https://statik.unesa.ac.id/profileunesa_konten_statik/front/css/prettyPhoto.css" rel="stylesheet">

  <!-- Google Fonts -->
  <link href='https://fonts.googleapis.com/css?family=PT+Sans:400,400italic,700,700italic' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=Lato:400,300,400italic,300italic,700,700italic,900' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=Exo:400,300,600,500,400italic,700italic,800,900' rel='stylesheet' type='text/css'>

  <!-- SLIDER ROYAL CSS SETTINGS -->
  <link href="https://statik.unesa.ac.id/profileunesa_konten_statik/front/royalslider/royalslider.css" rel="stylesheet">
  <link href="https://statik.unesa.ac.id/profileunesa_konten_statik/front/royalslider/skins/default-inverted/rs-default-inverted.css" rel="stylesheet">

  <!-- SLIDER REVOLUTION 4.x CSS SETTINGS -->
  <link rel="stylesheet" type="text/css" href="https://statik.unesa.ac.id/profileunesa_konten_statik/front/rs-plugin/css/settings.css" media="screen" />

  @yield('assets')
</head>
<body>
	<div id="topbar" class="clearfix">
  	<div class="container">
      <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
          <div class="social-icons">
          </div><!-- end social icons -->
      </div><!-- end columns -->
      <div class="col-lg-8 col-md-8 col-sm-8 col-xs-12">
          <div class="topmenu">
              <span class="topbar-cart"><i class="fa fa-globe"></i> <a href="https://www.unesa.ac.id" target="_blank">UNESA</a></span>
              <div class="ua-lang pull-right hidden-sm" style="padding-top: 7px;">
                  {!! Form::open(array('url' => route('language'), 'method' => 'POST', 'style'=>'display:inline', 'id'=>'en')) !!}
                  <input type="hidden" value="en" name="language">
                  <a href="javascript:;" onclick="document.getElementById('en').submit();"><img src="https://www.unesa.ac.id/assets2/images/en.png"></a>
                  {!! Form::close() !!}

                  {!! Form::open(array('url' => route('language'), 'method' => 'POST', 'style'=>'display:inline', 'id'=>'id')) !!}
                  <input type="hidden" value="id" name="language">
                  <a href="javascript:;" onclick="document.getElementById('id').submit();"><img src="https://www.unesa.ac.id/assets2/images/id.png"></a>
                  {!! Form::close() !!}
              </div>
          </div><!-- end top menu -->
      	  <div class="callus">
          	<span class="topbar-email"><i class="fa fa-envelope"></i> <a href="mailto:{!! $setting['email'] !!}">{!! $setting['email'] !!}</a></span>
          </div><!-- end callus -->
      </div><!-- end columns -->
    </div><!-- end container -->
  </div><!-- end topbar -->

  <header id="header-style-1">
		<div class="container">
			<nav class="navbar yamm navbar-default">
				<div class="navbar-header">
          <button type="button" data-toggle="collapse" data-target="#navbar-collapse-1" class="navbar-toggle">
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
          </button>
          <a href="{!! url("/") !!}" class="navbar-brand">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a>
    		</div><!-- end navbar-header -->

				<div id="navbar-collapse-1" class="navbar-collapse collapse navbar-right">
					<ul class="nav navbar-nav">
            @if (Session::get('selected_language') == 'id')
            @include('webprofile.front.jollyany.menu')
            @endif
            @if (Session::get('selected_language') == 'en')
            @include('webprofile.front.jollyany.en.menu')
            @endif
					</ul><!-- end navbar-nav -->
				</div><!-- #navbar-collapse-1 -->
      </nav><!-- end navbar yamm navbar-default -->
		</div><!-- end container -->
	</header><!-- end header-style-1 -->

  @yield('slider')

  @yield('content')

  {{-- @yield('footer') --}}
  {{-- @include('webprofile.front.footer') --}}

  <div id="copyrights">
  	<div class="container">
		 <div id="global-footer" style="text-align:center; line-height:15px"><br>
        <a href="/"><img src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/images/unesa-bawah.png" alt="Surabaya State University" width="105" height="49"><br>Copyright © {!! Date('Y') !!} {{$setting['web_title']}}. Supported By PPTI Universitas Negeri Surabaya</a>
     </div>
    </div><!-- end container -->
  </div>

	<div class="dmtop">Scroll to Top</div>

  <!-- Main Scripts-->
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/jquery.js"></script>
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/bootstrap.min.js"></script>
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/menu.js"></script>
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/owl.carousel.min.js"></script>
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/jquery.parallax-1.1.3.js"></script>
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/jquery.simple-text-rotator.js"></script>
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/wow.min.js"></script>
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/jquery.fitvids.js"></script>
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/custom.js"></script>

  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/jquery.isotope.min.js"></script>
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/custom-portfolio.js"></script>

  <!-- SLIDER REVOLUTION 4.x SCRIPTS  -->
  <script type="text/javascript" src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/rs-plugin/js/jquery.themepunch.plugins.min.js"></script>
  <script type="text/javascript" src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/rs-plugin/js/jquery.themepunch.revolution.min.js"></script>
  @yield('scripts')
  <script src="https://www.unesa.ac.id/assets/js/jquery.prettyPhoto.js"></script>
  <script type="text/javascript">
  (function($) {
      "use strict";
      jQuery('a[data-gal]').each(function() {
        jQuery(this).attr('rel', jQuery(this).data('gal'));
      });   
      jQuery("a[data-gal^='prettyPhoto']").prettyPhoto({animationSpeed:'slow',slideshow:false,overlay_gallery: false,theme:'light_square',social_tools:false,deeplinking:false});
  })(jQuery);
  </script>
  <script type="text/javascript">
	var revapi;
	jQuery(document).ready(function() {
		revapi = jQuery('.tp-banner').revolution(
		{
			delay:9000,
			startwidth:1686,
			startheight:500,
			hideThumbs:10,
			fullWidth:"on",
			forceFullWidth:"on"
		});
	});	//ready
  </script>

  <script>
	(function($) {
	  "use strict";
		$(document).ready(function(){
		// Target your .container, .wrapper, .post, etc.
		$("body").fitVids();
	  });
	})(jQuery);
  </script>

  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/js/jquery.flexslider.js"></script>
  <script type="text/javascript">
	(function($) {
	  "use strict";
    $(window).load(function(){
      $('.flexslider').flexslider({
        animation: "fade",
		controlNav: false,
        start: function(slider){
          $('body').removeClass('loading');
        }
      });
    });
	})(jQuery);
  </script>

  <!-- Demo Switcher JS -->
  <script type="text/javascript" src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/switcher/js/fswit.js"></script>
  <script src="https://statik.unesa.ac.id/profileunesa_konten_statik/front/switcher/js/bootstrap-select.js"></script>

</body>
</html>
